Subject: Re: [RFC][PATCH] Print the usage string on stdout instead of stderr.

From: Miles Bader <[email-masked]>
Date: Mon, 17 May 2010 21:07:13 +0900

Michael J Gruber <[email-masked]> writes:
> Now, usage messages are displayed on specific request (-h) as well as
> when a command is used with wrong arguments. So the classification
> depends on the use case! But I reckon that even with '-h', usage strings
> are not exactly "regular output", so stderr looks more natural to me.

Usage info specifically requested by the user is not error output, it is
the output of the command.  It should be output to stdout, not stderr.

[Note that for GNU progs, this behavior is explicitly required by the
GNU coding standards, and I think it's a pretty reasonable rule.]

-miles

-- 
o The existentialist, not having a pillow, goes everywhere with the book by
  Sullivan, _I am going to spit on your graves_.